Skip to main content
POST
/
v1
/
provision_address
Provision Deposit Address
curl --request POST \
  --url https://api.ondoperps.xyz/v1/provision_address \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "network": "ethereum",
  "symbol": "USDC",
  "deposit_destination": {
    "id": "10458932786832481",
    "wallet": "margin"
  }
}
'
{
  "success": true,
  "result": {
    "chain": "ethereum",
    "accountId": "10458932786832481",
    "symbol": "USDC",
    "address": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD18"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
network
enum<string>
required

Blockchain network

Available options:
avalanche,
ethereum,
solana
Example:

"ethereum"

symbol
string
required

Token symbol

Example:

"USDC"

deposit_destination
object
required

Response

Provisioned address

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""

result
object